OpenTTD Source: SettingFilter Struct Reference

OpenTTD Source 15.3

Data Fields
SettingFilter Struct Reference

Filter for settings list. More...

`#include <settingentry_gui.h>`

## Data Fields
StringFilter | string
| Filter string.
RestrictionMode | min_cat
| Minimum category needed to display all filtered strings (RM_BASIC, RM_ADVANCED, or RM_ALL).
bool | type_hides
| Whether the type hides filtered strings.
RestrictionMode | mode
| Filter based on category.
SettingType | type
| Filter based on type.

## Detailed Description

Filter for settings list.

Definition at line 43 of file settingentry_gui.h.

## Field Documentation

## ◆ min_cat

RestrictionMode SettingFilter::min_cat

Minimum category needed to display all filtered strings (RM_BASIC, RM_ADVANCED, or RM_ALL).

Definition at line 45 of file settingentry_gui.h.

Referenced by GameOptionsWindow::OnInvalidateData(), GameOptionsWindow::OnPaint(), and SettingEntry::UpdateFilterState().

## ◆ mode

RestrictionMode SettingFilter::mode

Filter based on category.

Definition at line 47 of file settingentry_gui.h.

Referenced by GameOptionsWindow::GetWidgetString(), GameOptionsWindow::OnClick(), GameOptionsWindow::OnDropdownSelect(), GameOptionsWindow::OnInvalidateData(), and SettingEntry::UpdateFilterState().

## ◆ string

StringFilter SettingFilter::string

Filter string.

Definition at line 44 of file settingentry_gui.h.

Referenced by GameOptionsWindow::OnEditboxChanged(), GameOptionsWindow::OnInvalidateData(), SettingEntry::UpdateFilterState(), and SettingsPage::UpdateFilterState().

## ◆ type

SettingType SettingFilter::type

Filter based on type.

Definition at line 48 of file settingentry_gui.h.

Referenced by GameOptionsWindow::GetWidgetString(), GameOptionsWindow::OnClick(), GameOptionsWindow::OnDropdownSelect(), and SettingEntry::UpdateFilterState().

## ◆ type_hides

bool SettingFilter::type_hides

Whether the type hides filtered strings.

Definition at line 46 of file settingentry_gui.h.

Referenced by GameOptionsWindow::OnInvalidateData(), and SettingEntry::UpdateFilterState().

The documentation for this struct was generated from the following file:

- src/settingentry_gui.h